## Apache Zeta Components Manual :: Docs For Class ezcSearchException

### Search::ezcSearchException

### Class ezcSearchException

This class provides the base exception for exception in the Search component.

Source for this file: /Search/src/exceptions/exception.php

    Exception
       |
       --ezcBaseException
          |
          --ezcSearchException

Version: | //autogentag//

### Descendants

Child Class | Description
--- | ---
ezcSearchQueryVariableParameterException | Exception thrown when a method does not receive the variables it requires.
ezcSearchCanNotConnectException | This exception is thrown when no connection can be made against a search backend.
ezcSearchDoesNotProvideDefinitionException | This exception is thrown when the embedded manager can not find a definition for a class because it doesn't implement the interface.
ezcSearchIncompleteStateException | Exception thrown when a field from the definition was not returned by getState().
ezcSearchIdNotFoundException | Exception thrown when a non-existing ID is requested for findById().
ezcSearchFieldNotDefinedException | Exception thrown when a field name is used that has not been defined through the document definition.
ezcSearchNetworkException | Exception thrown when a network connection to a search backends gets disconnected permaturely.
ezcSearchTransactionException | This exception is thrown in case something with a transaction goes wrong.
ezcSearchBuildQueryException | This exception is thrown when the query builder can not parse the query string.
ezcSearchDefinitionNotFoundException | This exception is thrown when a definition file for a class can not be found.
ezcSearchDefinitionInvalidException | This exception is thrown when a definition file for a class is invalid.

### Inherited Member Variables

From ezcBaseException
public | `ezcBaseException::$originalMessage`

### Method Summary

public void | `__construct( $message )` Constructs an ezcSearchException

### Inherited Methods

From ezcBaseException
public ezcBaseException | `ezcBaseException::__construct()` Constructs a new ezcBaseException with $message

### Methods

#### __construct

void __construct( string $message )

Constructs an ezcSearchException

##### Parameters:

Name | Type | Description
--- | --- | ---
`$message` | string |

##### Redefinition of:

Method | Description
--- | ---
`ezcBaseException::__construct()` | Constructs a new ezcBaseException with $message

##### Redefined in descendants as:

Method | Description
--- | ---
`ezcSearchQueryVariableParameterException::__construct()` | Constructs an ezcSearchQueryVariableParameterException with the method $method and the arguments $numProvided and $numExpected.
`ezcSearchCanNotConnectException::__construct()` | Constructs an ezcSearchCanNotConnectException for type $type at location $location
`ezcSearchDoesNotProvideDefinitionException::__construct()` | Constructs an ezcSearchDoesNotProvideDefinitionException for document type $type
`ezcSearchIncompleteStateException::__construct()` | Constructs an ezcSearchIncompleteStateException for field $field.
`ezcSearchIdNotFoundException::__construct()` | Constructs an ezcSearchIdNotFoundException for the ID $id.
`ezcSearchFieldNotDefinedException::__construct()` | Constructs an ezcSearchFieldNotDefinedException for document type $type and field $field.
`ezcSearchNetworkException::__construct()` | Constructs an ezcSearchNetworkException
`ezcSearchTransactionException::__construct()` | Constructs an ezcSearchTransactionException
`ezcSearchBuildQueryException::__construct()` | Constructs an ezcSearchBuildQueryException
`ezcSearchDefinitionNotFoundException::__construct()` | Constructs an ezcSearchDefinitionNotFoundException
`ezcSearchDefinitionInvalidException::__construct()` | Constructs an ezcSearchDefinitionInvalidException

Documentation generated by phpDocumentor 1.4.3